Index: /extensions/NBC_UserAdvManager/branches/2.20/admin/template/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/admin/template/global.tpl	(revision 9295)
+++ /extensions/NBC_UserAdvManager/branches/2.20/admin/template/global.tpl	(revision 9296)
@@ -582,5 +582,17 @@
       </div>
     </fieldset>
+
+    <fieldset>
+      <div id="Tips2_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('Tips2_header', 'Tips2')">
+        <span>{'UAM_Tips2'|@translate}</span>
+      </div>
+      <div id="Tips2" class="instructionBlockContent" style="display:none">
+        <fieldset>
+          {'UAM_Tips2_txt'|@translate}
+        </fieldset>
+      </div>
+    </fieldset>
   </div>
+
 </div>
 <fieldset>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php	(revision 9295)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php	(revision 9296)
@@ -176,12 +176,63 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Bestätigung der Anmeldung für Administratoren';
-$lang['UAM_Tips1'] = 'Anmeldungen mit E-Mail Validierung und Warnmeldung auf der Piwigo\'s Homepage';
-$lang['UAM_Tips1_txt'] = '
+// --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom_Txt1'] = 'Text der Bestätigungs-Seite - Bestätigung akzeptiert';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Text der Bestätigungs-Seite - Bestätigung abgelehnt';
+$lang['UAM_LastVisit_Date'] = 'Letzter Besuch';
+$lang['UAM_Nb_Days'] = 'Differenz in Tagen';
+$lang['UAM_Err_UserManager_Settings'] = 'Diese Seite ist nur verfügbar, wenn "Bestätigung der Anmeldung" aktiv ist und wenn eine Gruppe von nicht validierte Besuchern wird in "Einstellen Bestätigungen und Validierungen der Registrierung" konfiguriert.';
+// --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.1
+$lang['UAM_Support_txt'] = 'Die offizielle Unterstützung für dieses Plugin ist nur auf diesem Diskussionsforum von Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Französisch-Forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>oder<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Englisch-Forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Ebenfalls erhältlich, das Projekt Bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+// --------- End: New or revised $lang ---- from version 2.15.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.4
+$lang['UAM_Force_Validation'] = 'Handbuch Validierung';
+$lang['UAM_Confirm_Mail_true'] = ' Aktivieren - Validation von Benutzer';
+$lang['UAM_Confirm_Mail_local'] = ' Aktivieren - Validation von admin (keine Validierung Key gesendet)';
+$lang['UAM_RedirToProfile'] = 'Umleitung auf "Benutzerdaten" Seite';
+// --------- End: New or revised $lang ---- from version 2.15.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_Expired_Group'] = '<b>Gruppe</b> für Benutzer-Registrierung abgelaufen<br>';
+$lang['UAM_Expired_Status'] = '<b>Status</b> für Benutzer-Registrierung abgelaufen<br>';
+$lang['UAM_GTAuto'] = 'Automatische Verwaltung von Geist Benutzern';
+$lang['UAM_GTAutoDel'] = 'Automatisches Löschen von Konten';
+$lang['UAM_GTAutoGp'] = 'Automatischer Wechsel der Gruppe / Status';
+$lang['UAM_GTAutoMail'] = 'Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status';
+$lang['UAM_Deleted_Account_Redirection_Page'] = 'Zugriff verweigert - Account zerstört!';
+$lang['UAM_title_redir_page'] = 'Zugriff verweigert sich für ein Konto zerstört!';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Konsistenz-Fehler in der Konfiguration gewählt:<br><br>
+"Einstellen der Registrierung durchgeführt und andere Optionen > Geist Besucher-Management (Geist Tracker) > Automatische Verwaltung von Geist Benutzern > Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status" kann nicht aktiviert werden, wenn "Einstellen Bestätigungen und Validierungen der Registrierung > Bestätigung der Anmeldung - Validation von Benutzer" ist zunächst nicht aktiviert.<br><br>
+Um die Kohärenz, die Option "Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status" wurde automatisch "deaktiviert" neu positioniert.<br><br>';
+$lang['UAM_Demotion of %s'] = 'Herabstufung von %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Mitteilung der manuellen Registrierung Validierung';
+$lang['UAM_Validation of %s'] = 'Validierung von %s';
+// --------- End: New or revised $lang ---- from version 2.16.0
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.0
+/*TODO*/$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
+/*TODO*/$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
+/*TODO*/$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
+/*TODO*/$lang['UAM_USRAutoMail'] = 'Automated email reminder';
+$lang['UAM_Disable'] = ' Deaktivieren (Standard)';
+$lang['UAM_Enable'] = ' Aktivieren ';
+/*TODO*/$lang['UAM_Tips1'] = 'Information of non-validated registration with UAM and PWG_Stuffs';
+/*TODO*/$lang['UAM_Tips1_txt'] = '
           <ul>
             <li>
-            Tore:<br>
-            - Bei seiner Ankunft in der Galerie: Unterrichtung der Besucher, dass er sich registrieren um Zugang private Fotos<br>
-            - Bei der Registrierung: Erzeugen Sie eine E-Mail Validierung mit direkter Verbindung, sie dem neuen Anwender seiner Nicht-Validierung und Integration von ihm mit der Gruppe "Warten"<br>
-            - Bei der Validierung: Switch automatisch zur Gruppe "Warten" der Gruppe "Validiert", die den Zugang zu privaten Gruppen bietet<br><br>
+            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
+            <br><br>
             <b>Warnung: Im Standard-Betrieb, der "Gast" sieht nur den öffentlichen Kategorien, ohne Angaben Nachricht.</b>
             </li><br><br>
@@ -215,57 +266,47 @@
             </li>
           </ul>';
-// --------- End: New or revised $lang ---- from version 2.14.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.0
-$lang['UAM_confirmmail_custom_Txt1'] = 'Text der Bestätigungs-Seite - Bestätigung akzeptiert';
-$lang['UAM_confirmmail_custom_Txt2'] = 'Text der Bestätigungs-Seite - Bestätigung abgelehnt';
-$lang['UAM_LastVisit_Date'] = 'Letzter Besuch';
-$lang['UAM_Nb_Days'] = 'Differenz in Tagen';
-$lang['UAM_Err_UserManager_Settings'] = 'Diese Seite ist nur verfügbar, wenn "Bestätigung der Anmeldung" aktiv ist und wenn eine Gruppe von nicht validierte Besuchern wird in "Einstellen Bestätigungen und Validierungen der Registrierung" konfiguriert.';
-// --------- End: New or revised $lang ---- from version 2.15.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['UAM_Support_txt'] = 'Die offizielle Unterstützung für dieses Plugin ist nur auf diesem Diskussionsforum von Piwigo:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Französisch-Forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
-<br>oder<br>
-<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Englisch-Forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
-Ebenfalls erhältlich, das Projekt Bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
-// --------- End: New or revised $lang ---- from version 2.15.1
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Handbuch Validierung';
-$lang['UAM_Confirm_Mail_true'] = ' Aktivieren - Validation von Benutzer';
-$lang['UAM_Confirm_Mail_local'] = ' Aktivieren - Validation von admin (keine Validierung Key gesendet)';
-$lang['UAM_RedirToProfile'] = 'Umleitung auf "Benutzerdaten" Seite';
-// --------- End: New or revised $lang ---- from version 2.15.4
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.16.0
-$lang['UAM_Expired_Group'] = '<b>Gruppe</b> für Benutzer-Registrierung abgelaufen<br>';
-$lang['UAM_Expired_Status'] = '<b>Status</b> für Benutzer-Registrierung abgelaufen<br>';
-$lang['UAM_GTAuto'] = 'Automatische Verwaltung von Geist Benutzern';
-$lang['UAM_GTAutoDel'] = 'Automatisches Löschen von Konten';
-$lang['UAM_GTAutoGp'] = 'Automatischer Wechsel der Gruppe / Status';
-$lang['UAM_GTAutoMail'] = 'Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Zugriff verweigert - Account zerstört!';
-$lang['UAM_title_redir_page'] = 'Zugriff verweigert sich für ein Konto zerstört!';
-$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Konsistenz-Fehler in der Konfiguration gewählt:<br><br>
-"Einstellen der Registrierung durchgeführt und andere Optionen > Geist Besucher-Management (Geist Tracker) > Automatische Verwaltung von Geist Benutzern > Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status" kann nicht aktiviert werden, wenn "Einstellen Bestätigungen und Validierungen der Registrierung > Bestätigung der Anmeldung - Validation von Benutzer" ist zunächst nicht aktiviert.<br><br>
-Um die Kohärenz, die Option "Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status" wurde automatisch "deaktiviert" neu positioniert.<br><br>';
-$lang['UAM_Demotion of %s'] = 'Herabstufung von %s';
-$lang['UAM_AdminValidationMail_Text'] = 'Mitteilung der manuellen Registrierung Validierung';
-$lang['UAM_Validation of %s'] = 'Validierung von %s';
-// --------- End: New or revised $lang ---- from version 2.16.0
-
-// --------- Starting below: New or revised $lang ---- from version 2.20.0
-/*TODO*/$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-/*TODO*/$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
-/*TODO*/$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
-/*TODO*/$lang['UAM_USRAutoMail'] = 'Automated email reminder';
-$lang['UAM_Disable'] = ' Deaktivieren (Standard)';
-$lang['UAM_Enable'] = ' Aktivieren ';
+/*TODO*/$lang['UAM_Tips2'] = 'Information of non-validated registration with UAM and Additional Pages';
+/*TODO*/$lang['UAM_Tips2_txt'] = '
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting validation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
+            <br><br>
+            Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
+            </li><br><br>
+            <li>
+Voraussetzung:<br>
+- Eine Galerie mit allen oder einigen privaten Kategorien, sichtbar nur durch registrierte Benutzer<br>
+- Mindestens 2 der folgenden Piwigo Nutzergruppen: "Warten", ohne die Erlaubnis der privaten Gruppen und "Validiert" mit allen Berechtigungen für den privaten Kategorien<br>
+- UAM plugin<br>
+- Additional Pages plugin for adding and managing an additional page to replace the default index page of the gallery<br>
+- Optional können Sie das Plugin Extended Description Multi-Sprachen<br>
+            </li><br><br>
+            <li>
+Etappen:<br><br>
+A. In plugin UAM:
+              <ol>
+                <li>Aktivieren Sie Anmeldebestätigung</li>
+                <li>Geben Sie den Text für weitere Erklärung, die angebracht werden, um Anmeldebestätigung mail sendet. Wenn das Plugin Extended Description aktiviert ist, können die Sprach-Tags verwendet werden</li>
+                <li>Wählen Sie das "Warten"-Gruppe unter "Für Anwender, die noch nicht validiert ihrer Eintragung"</li>
+                <li>Wählen Sie das "Validiert"-Gruppe unter "Für Anwender, die ihre Anmeldung bestätigt haben"</li>
+                <li>Speichern Sie das Plugin-Konfiguration</li>
+              </ol>
+<br>
+B. In plugin Additional Pages:<br>
+                <b>NOTE : The management of access rights for groups on Additional Pages must be turned on (see plugin configuration settings).</b>
+                <br>
+              <ol>
+                <li>Add a new page with at least the following parameters:</li>
+                <ul>
+                  <li>Page name: The name you wish to give to the additional page (ie: Registration not validated)</li>
+                  <li>Set as homepage checked</li>
+                  <li>Groups allowed: Check the box corresponding to the group "Waiting" configured in UAM</li>
+                  <li>Content: The text you want to use for visitors.</li>
+                </ul>
+                <br>
+                <li>And that\'s it! Only visitors registered and whose registration has not been validated will see this additional index page.</li>
+              </ol>
+            </li>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php	(revision 9295)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php	(revision 9296)
@@ -145,6 +145,4 @@
 $lang['UAM_No_Comment_Anonymous'] = 'Nickname mandatory for guests comments';
 
-$lang['UAM_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
-
 $lang['UAM_Tab_UserManager'] = 'Tracking validations';
 
@@ -176,11 +174,67 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Confirmation of registration for admins';
+// --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom_Txt1'] = 'Text of the confirmation page - Confirmation accepted';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Text of the confirmation page - Confirmation rejected';
+$lang['UAM_LastVisit_Date'] = 'Last visit';
+$lang['UAM_Nb_Days'] = 'Difference in days';
+$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations and validations of registration".';
+// --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.1
+$lang['UAM_Support_txt'] = 'The official support on this plugin is only on these Piwigo forum topic:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">French forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>or<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Also available, the project\'s bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+// --------- End: New or revised $lang ---- from version 2.15.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.4
+$lang['UAM_Force_Validation'] = 'Manual validation';
+$lang['UAM_Confirm_Mail_true'] = ' Enable - Validation by user';
+$lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
+$lang['UAM_RedirToProfile'] = 'Redirect to "Customization" page';
+// --------- End: New or revised $lang ---- from version 2.15.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_Expired_Group'] = '<b>Group</b> for user\'s registration has expired<br>';
+$lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired<br>';
+$lang['UAM_GTAuto'] = 'Automatic management of ghosts users';
+$lang['UAM_GTAutoDel'] = 'Automatic deletion of accounts';
+$lang['UAM_GTAutoGp'] = 'Automatic change of group / status';
+$lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status';
+$lang['UAM_Deleted_Account_Redirection_Page'] = 'Access denied - Account destroyed!';
+$lang['UAM_title_redir_page'] = 'Access denied for having an account destroyed!';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the configuration chosen:
+<br><br>
+"Setting the followed registrations and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations and validations of registration > Confirmation of registration - Validation by user" is not enabled at first.
+<br><br>
+To ensure consistency, the option "Automatically sending an email when changing group / status" was automatically repositioned "disabled".
+<br><br>';
+$lang['UAM_Demotion of %s'] = 'Demotion of %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual registration validation';
+$lang['UAM_Validation of %s'] = 'Validation of %s';
+// --------- End: New or revised $lang ---- from version 2.16.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.0
+$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
+$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
+$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
+$lang['UAM_USRAutoMail'] = 'Automated email reminder';
+$lang['UAM_Disable'] = ' Disable (default)';
+$lang['UAM_Enable'] = ' Enable ';
+$lang['UAM_Tips1'] = 'Information of non-validated registration with UAM and PWG_Stuffs';
 $lang['UAM_Tips1_txt'] = '
           <ul>
             <li>
-            Goals:<br>
-            - On his arrival at the gallery: To inform the visitor that he has to register to access private photos<br>
-            - At registration: Generate an email validation with direct link, inform the new user of its non-validation and integrate him to the group "Waiting"<br>
-            - At validation: Switch automatically group "Waiting" to group "Validated", which provides access to private categories<br><br>
+            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
+            <br><br>
             <b>Recall: In standard operation, the "Guest" only sees the public categories, without information message.</b>
             </li><br><br>
@@ -214,61 +268,47 @@
             </li>
           </ul>';
-// --------- End: New or revised $lang ---- from version 2.14.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.0
-$lang['UAM_confirmmail_custom_Txt1'] = 'Text of the confirmation page - Confirmation accepted';
-$lang['UAM_confirmmail_custom_Txt2'] = 'Text of the confirmation page - Confirmation rejected';
-$lang['UAM_LastVisit_Date'] = 'Last visit';
-$lang['UAM_Nb_Days'] = 'Difference in days';
-$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations and validations of registration".';
-// --------- End: New or revised $lang ---- from version 2.15.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['UAM_Support_txt'] = 'The official support on this plugin is only on these Piwigo forum topic:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">French forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
-<br>or<br>
-<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
-Also available, the project\'s bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
-// --------- End: New or revised $lang ---- from version 2.15.1
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Manual validation';
-$lang['UAM_Confirm_Mail_true'] = ' Enable - Validation by user';
-$lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
-$lang['UAM_RedirToProfile'] = 'Redirect to "Customization" page';
-// --------- End: New or revised $lang ---- from version 2.15.4
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.16.0
-$lang['UAM_Expired_Group'] = '<b>Group</b> for user\'s registration has expired<br>';
-$lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired<br>';
-$lang['UAM_GTAuto'] = 'Automatic management of ghosts users';
-$lang['UAM_GTAutoDel'] = 'Automatic deletion of accounts';
-$lang['UAM_GTAutoGp'] = 'Automatic change of group / status';
-$lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Access denied - Account destroyed!';
-$lang['UAM_title_redir_page'] = 'Access denied for having an account destroyed!';
-$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the configuration chosen:
-<br><br>
-"Setting the followed registrations and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations and validations of registration > Confirmation of registration - Validation by user" is not enabled at first.
-<br><br>
-To ensure consistency, the option "Automatically sending an email when changing group / status" was automatically repositioned "disabled".
-<br><br>';
-$lang['UAM_Demotion of %s'] = 'Demotion of %s';
-$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual registration validation';
-$lang['UAM_Validation of %s'] = 'Validation of %s';
-// --------- End: New or revised $lang ---- from version 2.16.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.20.0
-$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
-$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
-$lang['UAM_USRAutoMail'] = 'Automated email reminder';
-$lang['UAM_Disable'] = ' Disable (default)';
-$lang['UAM_Enable'] = ' Enable ';
+$lang['UAM_Tips2'] = 'Information of non-validated registration with UAM and Additional Pages';
+$lang['UAM_Tips2_txt'] = '
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting validation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
+            <br><br>
+            Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
+            </li><br><br>
+            <li>
+Prerequisite:<br>
+- A gallery with all or some private categories, visible only by registered users<br>
+- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Validated" with all the permissions on the private categories<br>
+- UAM plugin<br>
+- Additional Pages plugin for adding and managing an additional page to replace the default index page of the gallery<br>
+- Optionally, the plugin Extended Description to support multi-languages<br>
+            </li><br><br>
+            <li>
+Stages:<br><br>
+A. In plugin UAM:
+              <ol>
+                <li>Enable registration confirmation</li>
+                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
+                <li>Select the "Waiting" group under "For users who have not validated their registration"</li>
+                <li>Select the "Validated" group under "For users who have validated their registration"</li>
+                <li>Save the plugin configuration</li>
+              </ol>
+<br>
+B. In plugin Additional Pages:<br>
+                <b>NOTE : The management of access rights for groups on Additional Pages must be turned on (see plugin configuration settings).</b>
+                <br>
+              <ol>
+                <li>Add a new page with at least the following parameters:</li>
+                <ul>
+                  <li>Page name: The name you wish to give to the additional page (ie: Registration not validated)</li>
+                  <li>Set as homepage checked</li>
+                  <li>Groups allowed: Check the box corresponding to the group "Waiting" configured in UAM</li>
+                  <li>Content: The text you want to use for visitors.</li>
+                </ul>
+                <br>
+                <li>And that\'s it! Only visitors registered and whose registration has not been validated will see this additional index page.</li>
+              </ol>
+            </li>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php	(revision 9295)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php	(revision 9296)
@@ -147,6 +147,4 @@
 $lang['UAM_No_Comment_Anonymous'] = 'Nickname obligatorio para los comentarios de los huéspedes';
 
-$lang['UAM_Tips1'] = 'Con la validación de los registros de correo electrónico y mensaje de advertencia en la página principal de Piwigo';
-
 $lang['UAM_Tab_UserManager'] = 'Seguimiento de las validaciones';
 
@@ -271,4 +269,84 @@
 $lang['UAM_Disable'] = ' Desactivar (por defecto)';
 $lang['UAM_Enable'] = ' Activar ';
+/*TODO*/$lang['UAM_Tips1'] = 'Information of non-validated registration with UAM and PWG_Stuffs';
+/*TODO*/$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
+            <br><br>
+            <b>Recuerde: En funcionamiento normal, el "Invitado" sólo ve las categorías de público, sin mensaje de información.</b>
+            </li><br><br>
+            <li>
+Requisito previo:<br>
+- Una galería con todas o algunas categorías privadas, visible sólo por los usuarios registrados<br>
+- Al menos los 2 grupos de usuarios siguientes de Piwigo : "Espera," sin permiso en las categorías de privados, y "Validado" con todos los permisos en las categorías de privados<br>
+- UAM plugin<br>
+- PWG Stuffs plugin, para agregar un tipo de módulo "Personal Block"<br>
+- Opcionalmente, la Extended Description plugin para soportar múltiples idiomas<br>
+            </li><br><br>
+            <li>
+Etapas:<br><br>
+A. En el plugin UAM:
+              <ol>
+                <li>Activar la confirmación de registro</li>
+                <li>Introduzca el texto para la explicación adicional, que se adjunta al correo de confirmación de registro. Si se activa el plugin Extended Description, las etiquetas de idioma se pueden utilizar</li>
+                <li>Seleccione la opción "Espera" del grupo en "Para los usuarios que no han validado su registro"</li>
+                <li>Seleccione la opción "Validado" en grupo "Para los usuarios que han validado su registro"</li>
+                <li>Guardar la configuración del plug-in</li>
+              </ol>
+<br>
+B. En plugin PWG Stuffs :
+              <ol>
+                <li>Añadir un tipo de módulo nuevo "bloque Personal: Muestra una plantilla de bloque (por ejemplo, un editorial)"</li>
+                <li>Configurar el módulo, lo que indica el título (por ejemplo, "en espera de la validación de Registro") y su descripción, y solamente "Espera" en la lista de grupos permitido</li>
+                <li>El contenido completo del módulo con la información del mensaje que se mostrará a los usuarios no validados. Como UAM, las balisas de  lenguajes pueden ser utilizadas si el plugin Extended Description está activado</li>
+                <li>Active la casilla "Mostrar el módulo en la página principal del sitio"</li>
+                <li>Validar la configuración del módulo</li>
+              </ol>
+            </li>
+          </ul>';
+/*TODO*/$lang['UAM_Tips2'] = 'Information of non-validated registration with UAM and Additional Pages';
+/*TODO*/$lang['UAM_Tips2_txt'] = '
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting validation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
+            <br><br>
+            Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
+            </li><br><br>
+            <li>
+Requisito previo:<br>
+- Una galería con todas o algunas categorías privadas, visible sólo por los usuarios registrados<br>
+- Al menos los 2 grupos de usuarios siguientes de Piwigo : "Espera," sin permiso en las categorías de privados, y "Validado" con todos los permisos en las categorías de privados<br>
+- UAM plugin<br>
+- Additional Pages plugin for adding and managing an additional page to replace the default index page of the gallery<br>
+- Opcionalmente, la Extended Description plugin para soportar múltiples idiomas<br>
+            </li><br><br>
+            <li>
+Etapas:<br><br>
+A. En el plugin UAM:
+              <ol>
+                <li>Activar la confirmación de registro</li>
+                <li>Introduzca el texto para la explicación adicional, que se adjunta al correo de confirmación de registro. Si se activa el plugin Extended Description, las etiquetas de idioma se pueden utilizar</li>
+                <li>Seleccione la opción "Espera" del grupo en "Para los usuarios que no han validado su registro"</li>
+                <li>Seleccione la opción "Validado" en grupo "Para los usuarios que han validado su registro"</li>
+                <li>Guardar la configuración del plug-in</li>
+              </ol>
+<br>
+B. En plugin Additional Pages:<br>
+                <b>NOTE : The management of access rights for groups on Additional Pages must be turned on (see plugin configuration settings).</b>
+                <br>
+              <ol>
+                <li>Add a new page with at least the following parameters:</li>
+                <ul>
+                  <li>Page name: The name you wish to give to the additional page (ie: Registration not validated)</li>
+                  <li>Set as homepage checked</li>
+                  <li>Groups allowed: Check the box corresponding to the group "Waiting" configured in UAM</li>
+                  <li>Content: The text you want to use for visitors.</li>
+                </ul>
+                <br>
+                <li>And that\'s it! Only visitors registered and whose registration has not been validated will see this additional index page.</li>
+              </ol>
+            </li>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php	(revision 9295)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php	(revision 9296)
@@ -146,6 +146,4 @@
 $lang['UAM_No_Comment_Anonymous'] = 'Commentaires : pseudo obligatoire pour les non-inscrits';
 
-$lang['UAM_Tips1'] = 'Inscriptions avec validation par email et message d\'avertissement sur la page d\'accueil de Piwigo';
-
 $lang['UAM_Tab_UserManager'] = 'Suivi des validations';
 
@@ -175,11 +173,66 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Validation d\'inscription pour les admins';
+// --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom_Txt1'] = 'Texte de la page de confirmation - Confirmation acceptée';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Texte de la page de confirmation - Confirmation rejetée';
+$lang['UAM_LastVisit_Date'] = 'Dernière visite le';
+$lang['UAM_Nb_Days'] = 'Ecart en jours';
+$lang['UAM_Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Confirmation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations et validations d\'inscriptions".';
+// --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.1
+$lang['UAM_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ces fils du forum Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>ou<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum anglais - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Egalement disponible, le bugtracker du projet: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+// --------- End: New or revised $lang ---- from version 2.15.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.4
+$lang['UAM_Force_Validation'] = 'Validation manuelle';
+$lang['UAM_Confirm_Mail_true'] = ' Activer - Validation par le visiteur';
+$lang['UAM_Confirm_Mail_local'] = ' Activer - Validation par l\'administrateur (pas d\'envoi de clé de validation)';
+$lang['UAM_RedirToProfile'] = 'Redirection vers la page "Personnalisation"';
+// --------- End: New or revised $lang ---- from version 2.15.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_Expired_Group'] = '<b>Groupe</b> pour les utilisateurs dont l\'inscription aura expirée<br>';
+$lang['UAM_Expired_Status'] = '<b>Statut</b> pour les utilisateurs dont l\'inscription aura expirée<br>';
+$lang['UAM_GTAuto'] = 'Gestion automatique des utilisateurs fantomes';
+$lang['UAM_GTAutoDel'] = 'Suppressions automatiques des comptes';
+$lang['UAM_GTAutoGp'] = 'Changement automatique de groupe / statut';
+$lang['UAM_GTAutoMail'] = 'Email automatique sur changement de groupe / statut';
+$lang['UAM_Deleted_Account_Redirection_Page'] = 'Accès refusé - Compte détruit !';
+$lang['UAM_title_redir_page'] = 'Accès refusé pour cause de compte détruit !';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erreur de cohérence dans la configuration choisie :
+<br><br>
+"Paramétrage des suivis des inscrits et autres options > Gestion des visiteurs fantômes (Ghost Tracker) > Gestion automatique des utilisateurs fantomes > Email automatique sur changement de groupe / statut" ne peut pas être activé si "Paramétrage des confirmations et validations d\'inscriptions > Confirmation d\'inscription - Validation par le visiteur" n\'est pas activé au préalable.
+<br><br>
+Pour garantir la cohérence, l\'option "Email automatique sur changement de groupe / statut" a été automatiquement repositionnée en "désactivé".
+<br><br>';
+$lang['UAM_Demotion of %s'] = 'Rétrogradation de %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Notification de validation d\'inscription manuelle';
+$lang['UAM_Validation of %s'] = 'Validation de %s';
+// --------- End: New or revised $lang ---- from version 2.16.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.0
+$lang['UAM_CustomPasswRetr'] = 'Personnaliser le contenu du mail sur mot de passe perdu';
+$lang['UAM_USRAuto'] = 'Gestion automatique des visiteurs non validés';
+$lang['UAM_USRAutoDel'] = 'Message à la suppressions automatiques des comptes';
+$lang['UAM_USRAutoMail'] = 'Message de rappel automatique';
+$lang['UAM_Disable'] = ' Désactiver (valeur par défaut)';
+$lang['UAM_Enable'] = ' Activer ';
+$lang['UAM_Tips1'] = 'Information de non validation d\'inscription avec UAM et PWG_Stuffs';
 $lang['UAM_Tips1_txt'] = '
           <ul>
             <li>
-            Objectifs:<br>
-            - A son arrivée sur la galerie : Informer le visiteur qu\'il peut s\'inscrire pour accéder aux photos privées<br>
-            - A l\'inscription : Générer un email avec lien direct de validation, informer le nouvel utilisateur de sa non-validation et le rattacher au groupe "Attente"<br>
-            - A la validation : Le passer automatiquement du groupe "Attente" au groupe "Validés", qui lui permet d\'accéder normalement aux catégories privées<br><br>
+            Objectifs : Informer le visiteur que son inscription est en attente de validation en affichant un bloc personnel sur la page d\'accueil de la galerie; et ce, tant que l\'inscription n\'est pas validée.<br><br>
             <b>Rappel: En fonctionnement standard, le "Guest" ne voit que les catégories publiques, sans message d\'information.</b>
             </li><br><br>
@@ -213,61 +266,47 @@
             </li>
           </ul>';
-// --------- End: New or revised $lang ---- from version 2.14.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.0
-$lang['UAM_confirmmail_custom_Txt1'] = 'Texte de la page de confirmation - Confirmation acceptée';
-$lang['UAM_confirmmail_custom_Txt2'] = 'Texte de la page de confirmation - Confirmation rejetée';
-$lang['UAM_LastVisit_Date'] = 'Dernière visite le';
-$lang['UAM_Nb_Days'] = 'Ecart en jours';
-$lang['UAM_Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Confirmation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations et validations d\'inscriptions".';
-// --------- End: New or revised $lang ---- from version 2.15.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['UAM_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ces fils du forum Piwigo:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
-<br>ou<br>
-<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum anglais - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
-Egalement disponible, le bugtracker du projet: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
-// --------- End: New or revised $lang ---- from version 2.15.1
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Validation manuelle';
-$lang['UAM_Confirm_Mail_true'] = ' Activer - Validation par le visiteur';
-$lang['UAM_Confirm_Mail_local'] = ' Activer - Validation par l\'administrateur (pas d\'envoi de clé de validation)';
-$lang['UAM_RedirToProfile'] = 'Redirection vers la page "Personnalisation"';
-// --------- End: New or revised $lang ---- from version 2.15.4
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.16.0
-$lang['UAM_Expired_Group'] = '<b>Groupe</b> pour les utilisateurs dont l\'inscription aura expirée<br>';
-$lang['UAM_Expired_Status'] = '<b>Statut</b> pour les utilisateurs dont l\'inscription aura expirée<br>';
-$lang['UAM_GTAuto'] = 'Gestion automatique des utilisateurs fantomes';
-$lang['UAM_GTAutoDel'] = 'Suppressions automatiques des comptes';
-$lang['UAM_GTAutoGp'] = 'Changement automatique de groupe / statut';
-$lang['UAM_GTAutoMail'] = 'Email automatique sur changement de groupe / statut';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Accès refusé - Compte détruit !';
-$lang['UAM_title_redir_page'] = 'Accès refusé pour cause de compte détruit !';
-$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erreur de cohérence dans la configuration choisie :
-<br><br>
-"Paramétrage des suivis des inscrits et autres options > Gestion des visiteurs fantômes (Ghost Tracker) > Gestion automatique des utilisateurs fantomes > Email automatique sur changement de groupe / statut" ne peut pas être activé si "Paramétrage des confirmations et validations d\'inscriptions > Confirmation d\'inscription - Validation par le visiteur" n\'est pas activé au préalable.
-<br><br>
-Pour garantir la cohérence, l\'option "Email automatique sur changement de groupe / statut" a été automatiquement repositionnée en "désactivé".
-<br><br>';
-$lang['UAM_Demotion of %s'] = 'Rétrogradation de %s';
-$lang['UAM_AdminValidationMail_Text'] = 'Notification de validation d\'inscription manuelle';
-$lang['UAM_Validation of %s'] = 'Validation de %s';
-// --------- End: New or revised $lang ---- from version 2.16.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.20.0
-$lang['UAM_CustomPasswRetr'] = 'Personnaliser le contenu du mail sur mot de passe perdu';
-$lang['UAM_USRAuto'] = 'Gestion automatique des visiteurs non validés';
-$lang['UAM_USRAutoDel'] = 'Message à la suppressions automatiques des comptes';
-$lang['UAM_USRAutoMail'] = 'Message de rappel automatique';
-$lang['UAM_Disable'] = ' Désactiver (valeur par défaut)';
-$lang['UAM_Enable'] = ' Activer ';
+$lang['UAM_Tips2'] = 'Information de non validation d\'inscription avec UAM et Additional Pages';
+$lang['UAM_Tips2_txt'] = '
+          <ul>
+            <li>
+            Objectifs : Informer le visiteur que son inscription est en attente de validation en affichant une page additionnelle remplaçant la page d\'index standard de la galerie à chacune de ces connexions; et ce, tant que l\'inscription n\'est pas validée.
+            <br><br>
+            Avantages par rapport à la méthode avec PWG_Stuffs : Permettre une information mise en forme et moins austère et afficher immédiatement l\'information dès l\'inscription des visiteurs.
+            </li><br><br>
+            <li>
+Pré-requis:<br>
+- Une galerie avec tout ou partie des catégories privées, visibles par les seuls utilisateurs inscrits<br>
+- Au moins les 2 groupes d\'utilisateurs Piwigo suivants : "Attente", sans aucune permission sur les catégories privées, et "Validés", avec toutes les permissions sur les catégories privées<br>
+- Le plugin UAM<br>
+- Le plugin Additional Pages, pour l\'ajout et la gestion d\'une page additionnelle remplaçant la page d\'index par défaut de la galerie<br>
+- En option, le plugin Extended Description, pour le support multi-langues<br>
+            </li><br><br>
+            <li>
+Réalisation:<br><br>
+A. Dans le plugin UAM:<br>
+              <ol>
+                <li>Activer la confirmation d\'inscription</li>
+                <li>Saisir un "texte d\'accueil personnalisé" qui sera joint au mail de confirmation d\'inscription. Si le plugin Extended Description est activé, les balises de langues peuvent être utilisées</li>
+                <li>Sélectionner le groupe "Attente" à la rubrique "Pour les utilisateurs n\'ayant pas validé leur inscription"</li>
+                <li>Sélectionner le groupe "Validés" à la rubrique "Pour les utilisateurs ayant validé leur inscription"</li>
+                <li>Enregistrer la configuration du plugin</li>
+              </ol>
+<br>
+B. Dans le plugin Additional Pages:<br>
+                <b>NOTE : La gestion des droits d\'accès aux pages additionelles pour les groupes doit être activée (voir configuration du plugin Additional Pages).</b>
+                <br>
+              <ol>
+                <li>Ajouter une nouvelle page avec au minimum les paramètres suivants :</li>
+                <ul>
+                  <li>Nom de la page : Le nom que vous souhaiter donner à la page additionnelle (ex : Inscription non validée)</li>
+                  <li>Définir comme page d\'accueil coché</li>
+                  <li>Groupes autorisés : Cocher la case correspondante au groupe "Attente" configuré dans UAM</li>
+                  <li>Contenu : Le texte que vous souhaitez faire apparaitre aux visiteurs.</li>
+                </ul>
+                <br>
+                <li>Et c\'est tout ! Seuls les visiteurs inscrits et dont l\'inscription n\'a pas été validée verront cette page d\'index additionnelle.</li>
+              </ol>
+            </li>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php	(revision 9295)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php	(revision 9296)
@@ -147,6 +147,4 @@
 $lang['UAM_No_Comment_Anonymous'] = 'Commenti : Pseudo obbligatorio per gli ospiti';
 
-$lang['UAM_Tips1'] = 'Iscrizzione con convalida dell\'Email e messaggio di avviso nella homepage di Piwigo';
-
 $lang['UAM_Tab_UserManager'] = 'Tracciamento convalide';
 
@@ -176,11 +174,64 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Conferma dell\'iscrizione per gli amministratori';
-$lang['UAM_Tips1_txt'] = '
+// --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom_Txt1'] = 'Testo della pagina di conferma - Conferma accettati';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Testo della pagina di conferma - Conferma respinto';
+$lang['UAM_LastVisit_Date'] = 'ultima visita';
+$lang['UAM_Nb_Days'] = 'Differenza in giorni';
+$lang['UAM_Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Conferma dell\'iscrizione" è attiva e se un gruppo di visitatori non convalidato è configurato in "Impostare le conferme e validazioni all\'iscrizione".';
+// --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.1
+$lang['UAM_Support_txt'] = 'Il supporto ufficiale a questo plugin è solo su questi argomento del forum Piwigo:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum francese - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
+<br>o<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum inglese - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Disponibile anche, il bugtracker del progetto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+// --------- End: New or revised $lang ---- from version 2.15.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.4
+$lang['UAM_Force_Validation'] = 'Validazione manuale';
+$lang['UAM_Confirm_Mail_true'] = ' Attivare - Validazione dal utente';
+$lang['UAM_Confirm_Mail_local'] = ' Attivare - Validazione dal amministratore (nessuna chiave di validazione inviata)';
+$lang['UAM_RedirToProfile'] = 'Ridirezione verso la pagina di personalizzazione';
+// --------- End: New or revised $lang ---- from version 2.15.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_Expired_Group'] = '<b>Gruppo</b> per gli utenti la cui registrazione sara scaduta<br>';
+$lang['UAM_Expired_Status'] = '<b>Statuto</b> per gli utenti la cui registrazione sara scaduta<br>';
+$lang['UAM_GTAuto'] = 'Gestione automatica degli utenti fantasmi';
+$lang['UAM_GTAutoDel'] = 'Cancellazione automatica dei conti';
+$lang['UAM_GTAutoGp'] = 'Cambiamento automatico del gruppo / statuto';
+$lang['UAM_GTAutoMail'] = 'Emailing di rilancio automatico';
+$lang['UAM_Deleted_Account_Redirection_Page'] = 'Accesso negato - Account cancellato!';
+$lang['UAM_title_redir_page'] = 'Accesso negato per causa di account cancellato !';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Errore di coerenza nella configurazione prescelta :<br><br>
+"Parametraggio monitoraggio degli iscritti e altre opzioni > Gestione degli utenti fantasmi (Ghost Tracker) > Gestione automatica degli utenti fantasmi > Email automatica su cambiamento di gruppo / statuto" non può essere attivato "Parametraggio delle conferme e validazione d\'iscrizione  > Conferma d\'iscrizione - Conferma dal utente" non è perattivata.<br><br>
+Per garantire la coerenza, l\'opzione "Email automatica su cambiamento del gruppo / statuto" è stata automaticamente riposizionata in "disattivato".<br><br>';
+$lang['UAM_Demotion of %s'] = 'Retrocessione di %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Notifica della validazione d\'iscrizione manuale';
+$lang['UAM_Validation of %s'] = 'Validazione di %s';
+// --------- End: New or revised $lang ---- from version 2.16.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.0
+/*TODO*/$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
+/*TODO*/$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
+/*TODO*/$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
+/*TODO*/$lang['UAM_USRAutoMail'] = 'Automated email reminder';
+$lang['UAM_Disable'] = ' Disattivare (di default)';
+$lang['UAM_Enable'] = ' Attivare ';
+/*TODO*/$lang['UAM_Tips1'] = 'Information of non-validated registration with UAM and PWG_Stuffs';
+/*TODO*/$lang['UAM_Tips1_txt'] = '
           <ul>
             <li>
-            Obiettivi:<br>
-            - Al suo arrivo sulla galleria: informare l\'ospite che si può registrare per accedere alle foto private<br>
-            - Al momento dell\'iscrizione: Generare un\'Email di convalida con il link diretto, informare il nuovo utente della sua "non convalidazione" e integrarlo lo al gruppo "Attesa"<br>
-            - All convalida: Spostarlo automaticamente dal gruppo "Attesa" al gruppo "Convalidati", che permette l\'accesso alle categorie private<br><br>
+            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
+            <br><br>
             <b>Nota: Nel funzionamento standard, l\'utente "Guest" vede solo le categorie pubbliche, senza messaggio d\'informazione.</b>
             </li><br><br>
@@ -214,58 +265,47 @@
             </li>
           </ul>';
-// --------- End: New or revised $lang ---- from version 2.14.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.0
-$lang['UAM_confirmmail_custom_Txt1'] = 'Testo della pagina di conferma - Conferma accettati';
-$lang['UAM_confirmmail_custom_Txt2'] = 'Testo della pagina di conferma - Conferma respinto';
-$lang['UAM_LastVisit_Date'] = 'ultima visita';
-$lang['UAM_Nb_Days'] = 'Differenza in giorni';
-$lang['UAM_Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Conferma dell\'iscrizione" è attiva e se un gruppo di visitatori non convalidato è configurato in "Impostare le conferme e validazioni all\'iscrizione".';
-// --------- End: New or revised $lang ---- from version 2.15.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['UAM_Support_txt'] = 'Il supporto ufficiale a questo plugin è solo su questi argomento del forum Piwigo:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum francese - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
-<br>o<br>
-<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum inglese - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
-Disponibile anche, il bugtracker del progetto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
-// --------- End: New or revised $lang ---- from version 2.15.1
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Validazione manuale';
-$lang['UAM_Confirm_Mail_true'] = ' Attivare - Validazione dal utente';
-$lang['UAM_Confirm_Mail_local'] = ' Attivare - Validazione dal amministratore (nessuna chiave di validazione inviata)';
-$lang['UAM_RedirToProfile'] = 'Ridirezione verso la pagina di personalizzazione';
-// --------- End: New or revised $lang ---- from version 2.15.4
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.16.0
-$lang['UAM_Expired_Group'] = '<b>Gruppo</b> per gli utenti la cui registrazione sara scaduta<br>';
-$lang['UAM_Expired_Status'] = '<b>Statuto</b> per gli utenti la cui registrazione sara scaduta<br>';
-$lang['UAM_GTAuto'] = 'Gestione automatica degli utenti fantasmi';
-$lang['UAM_GTAutoDel'] = 'Cancellazione automatica dei conti';
-$lang['UAM_GTAutoGp'] = 'Cambiamento automatico del gruppo / statuto';
-$lang['UAM_GTAutoMail'] = 'Emailing di rilancio automatico';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Accesso negato - Account cancellato!';
-$lang['UAM_title_redir_page'] = 'Accesso negato per causa di account cancellato !';
-$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Errore di coerenza nella configurazione prescelta :<br><br>
-"Parametraggio monitoraggio degli iscritti e altre opzioni > Gestione degli utenti fantasmi (Ghost Tracker) > Gestione automatica degli utenti fantasmi > Email automatica su cambiamento di gruppo / statuto" non può essere attivato "Parametraggio delle conferme e validazione d\'iscrizione  > Conferma d\'iscrizione - Conferma dal utente" non è perattivata.<br><br>
-Per garantire la coerenza, l\'opzione "Email automatica su cambiamento del gruppo / statuto" è stata automaticamente riposizionata in "disattivato".<br><br>';
-$lang['UAM_Demotion of %s'] = 'Retrocessione di %s';
-$lang['UAM_AdminValidationMail_Text'] = 'Notifica della validazione d\'iscrizione manuale';
-$lang['UAM_Validation of %s'] = 'Validazione di %s';
-// --------- End: New or revised $lang ---- from version 2.16.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.20.0
-/*TODO*/$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-/*TODO*/$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
-/*TODO*/$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
-/*TODO*/$lang['UAM_USRAutoMail'] = 'Automated email reminder';
-$lang['UAM_Disable'] = ' Disattivare (di default)';
-$lang['UAM_Enable'] = ' Attivare ';
+/*TODO*/$lang['UAM_Tips2'] = 'Information of non-validated registration with UAM and Additional Pages';
+/*TODO*/$lang['UAM_Tips2_txt'] = '
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting validation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
+            <br><br>
+            Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
+            </li><br><br>
+            <li>
+Prerequisiti:<br>
+- Una galleria con tutte o alcune categorie private, visibili solo agli utenti registrati<br>
+- Almeno i 2 gruppi d\'utenti Piwigo seguenti: "Attesa", senza alcuna autorizzazione sulle categorie private, e "Convalidati" con tutte le autorizzazioni per le categorie private<br>
+- Il plugin NBC_UAM<br>
+- Additional Pages plugin for adding and managing an additional page to replace the default index page of the gallery<br>
+- In opzione, il plugin Extended Description per il supporto multi-lingue<br>
+            </li><br><br>
+            <li>
+Tappe:<br><br>
+A. Nel plugin NBC_UAM:
+              <ol>
+                <li>Attivare la conferma dell\'iscrizione</li>
+                <li>Inserire un testo personalizzato che sarà inviato con l\'Email di conferma dell\'iscrizione. Se il plugin Extended Description è installato ed attivato, i tag di lingua possono essere utilizzati</li>
+                <li>Selezionare il gruppo "Attesa" sotto la voce "Per gli utenti che non hanno convalidato la loro iscrizione"</li>
+                <li>Selezionare il gruppo "Convalidati" sotto la voce "Per gli utenti che hanno convalidato la loro iscrizione"</li>
+                <li>Salvare le impostazzioni</li>
+              </ol>
+<br>
+B. Nel plugin Additional Pages:<br>
+                <b>NOTE : The management of access rights for groups on Additional Pages must be turned on (see plugin configuration settings).</b>
+                <br>
+              <ol>
+                <li>Add a new page with at least the following parameters:</li>
+                <ul>
+                  <li>Page name: The name you wish to give to the additional page (ie: Registration not validated)</li>
+                  <li>Set as homepage checked</li>
+                  <li>Groups allowed: Check the box corresponding to the group "Waiting" configured in UAM</li>
+                  <li>Content: The text you want to use for visitors.</li>
+                </ul>
+                <br>
+                <li>And that\'s it! Only visitors registered and whose registration has not been validated will see this additional index page.</li>
+              </ol>
+            </li>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php	(revision 9295)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php	(revision 9296)
@@ -145,6 +145,4 @@
 $lang['UAM_No_Comment_Anonymous'] = 'Viesu komentāriem iesauka (Nickname) obligāta';
 
-$lang['UAM_Tips1'] = 'Reģistrēšanās ar e-pasta apstiprināšanu un brīdinājuma ziņojums Piwigo mājas lapā';
-
 $lang['UAM_Tab_UserManager'] = 'Apstiprinājumu izsekošana';
 
@@ -268,4 +266,84 @@
 $lang['UAM_Disable'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_Enable'] = ' Iespējot ';
+/*TODO*/$lang['UAM_Tips1'] = 'Information of non-validated registration with UAM and PWG_Stuffs';
+/*TODO*/$lang['UAM_Tips1_txt'] = '
+<ul>
+<li>
+             Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
+             <br><br>
+<b>Atgādinājums: Pie standartoperācijām "Guest" (viesis) redz tikai publiskās kategorijas bez informatīvā materiāla.</b>
+</li><br><br>
+<li>
+Priekšnoteikumi:<br>
+- Galerija ar visām vai dažām privātajām ketegorijām redzama tikai reģistrētiem lietotājiem<br>
+- Vismaz 2 sekojošas Piwigo lietotāju grupas:gaidīšanas grupa  "Waiting," bez tiesībām darboties ar privātām kategorijām un apstiprināto grupa "Validated" ar visām tiesībām darbam ar privātām kategorijām<br>
+- UAM spraudnis<br>
+- PWG Stuffs spraudnis, moduļa "Personal Block" pievienošanai<br>
+- Pēc izvēles (neobligāts), spraudnis Extended Description (paplašināts apraksts), lai nodrošinātu daudzvalodu atbalstu<br>
+</li><br><br>
+<li>
+Posmi:<br><br>
+A. UAM spraudnī:
+<ol>
+<li>Iespējo reģistrācijas apstiprināšanu</li>
+<li>Ievada papildinformāciju-skaidrojumu, kas tiks pievienots e-pasta reģistrācijas apstiprinājumam. Gadījumā, ja ir aktivēts spraudnis Extended Description (papildus apraksts), var tikt lietotas valodu iezīmes (tagi)</li>
+<li>Izvēlas gaidīšanas grupu "Waiting" sadaļā "Lietotājiem, kas nav apstiprinājuši savu reģistrāciju"</li>
+<li>Izvēlas apstiprināto grupu "Validated" sadaļā "Lietotājiem, kas apstiprinājuši savu reģistrāciju"</li>
+<li>Saglabā spraudņa konfigurāciju</li>
+</ol>
+<br>
+B. PWG Stuffs spraudnī :
+<ol>
+<li>Pievieno jauna tipa moduli "Personal block: Rāda bloķētos darbiniekus (piem. redakcionāli)"</li>
+<li>Konfigurē moduli, norādot nosaukumu (piem."Registration pending validation") un tā aprakstu, pārbaudot grupu "Waiting"  atļauto grupu sarakstā</li>
+<li>Pabeidz moduļa saturu ar informatīvu ziņojumu neapstiprinātajiem lietotājiem.Kā UAM valodas iezīmes var tikt lietotas, ja spraudnī ir iespējota papildus apraksta Extended Description funkcija</li>
+<li>Atzīmē "Rādīt moduli vietnes mājas lapā"</li>
+<li>Pārbauda moduļa konfigurāciju</li>
+</ol>
+</li>
+</ul>';
+/*TODO*/$lang['UAM_Tips2'] = 'Information of non-validated registration with UAM and Additional Pages';
+/*TODO*/$lang['UAM_Tips2_txt'] = '
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting validation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
+            <br><br>
+            Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
+            </li><br><br>
+            <li>
+Priekšnoteikumi:<br>
+- Galerija ar visām vai dažām privātajām ketegorijām redzama tikai reģistrētiem lietotājiem<br>
+- Vismaz 2 sekojošas Piwigo lietotāju grupas:gaidīšanas grupa  "Waiting," bez tiesībām darboties ar privātām kategorijām un apstiprināto grupa "Validated" ar visām tiesībām darbam ar privātām kategorijām<br>
+- UAM spraudnis<br>
+- Additional Pages plugin for adding and managing an additional page to replace the default index page of the gallery<br>
+- Pēc izvēles (neobligāts), spraudnis Extended Description (paplašināts apraksts), lai nodrošinātu daudzvalodu atbalstu<br>
+            </li><br><br>
+            <li>
+Posmi:<br><br>
+A. UAM spraudnī:
+<ol>
+<li>Iespējo reģistrācijas apstiprināšanu</li>
+<li>Ievada papildinformāciju-skaidrojumu, kas tiks pievienots e-pasta reģistrācijas apstiprinājumam. Gadījumā, ja ir aktivēts spraudnis Extended Description (papildus apraksts), var tikt lietotas valodu iezīmes (tagi)</li>
+<li>Izvēlas gaidīšanas grupu "Waiting" sadaļā "Lietotājiem, kas nav apstiprinājuši savu reģistrāciju"</li>
+<li>Izvēlas apstiprināto grupu "Validated" sadaļā "Lietotājiem, kas apstiprinājuši savu reģistrāciju"</li>
+<li>Saglabā spraudņa konfigurāciju</li>
+</ol>
+<br>
+B. Additional Pages spraudnī :<br>
+                <b>NOTE : The management of access rights for groups on Additional Pages must be turned on (see plugin configuration settings).</b>
+                <br>
+              <ol>
+                <li>Add a new page with at least the following parameters:</li>
+                <ul>
+                  <li>Page name: The name you wish to give to the additional page (ie: Registration not validated)</li>
+                  <li>Set as homepage checked</li>
+                  <li>Groups allowed: Check the box corresponding to the group "Waiting" configured in UAM</li>
+                  <li>Content: The text you want to use for visitors.</li>
+                </ul>
+                <br>
+                <li>And that\'s it! Only visitors registered and whose registration has not been validated will see this additional index page.</li>
+              </ol>
+            </li>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/main.inc.php	(revision 9295)
+++ /extensions/NBC_UserAdvManager/branches/2.20/main.inc.php	(revision 9296)
@@ -4,5 +4,5 @@
 Version: 2.20.0-RC
 Description: Renforcer la gestion des utilisateurs - Enforce users management
-Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=216
 Author: Nicco, Eric
 Author URI: http://gallery-nicco.no-ip.org, http://www.infernoweb.net
